Subject: Re: linux-next: wireless tree build warnings

From: Luciano Coelho <[email-masked]>
Date: Mon, 10 Aug 2009 20:29:03 +0300

Hi Stephen,

ext Stephen Rothwell wrote:
> Hi John,
>
> Today's linux-next build (x86_64 allmodconfig) produced these warnings:
>
> drivers/net/wireless/wl12xx/wl1271_main.c: In function 'wl1271_irq_work':
> drivers/net/wireless/wl12xx/wl1271_main.c:184: warning: large integer implicitly truncated to unsigned type
> drivers/net/wireless/wl12xx/wl1271_boot.c: In function 'wl1271_boot_upload_firmware_chunk':
> drivers/net/wireless/wl12xx/wl1271_boot.c:103: warning: format '%d' expects type 'int', but argument 2 has type 'size_t'
> drivers/net/wireless/wl12xx/wl1271_boot.c:150: warning: format '%d' expects type 'int', but argument 2 has type 'size_t'
> drivers/net/wireless/wl12xx/wl1271_boot.c: In function 'wl1271_boot_enable_interrupts':
> drivers/net/wireless/wl12xx/wl1271_boot.c:278: warning: large integer implicitly truncated to unsigned type
>
> Introduced by commit 4749c814b34dfe02cf08da34a2a2a32f55fbd9bc ("wl1271:
> add wl1271 driver files").
>   

I'm very sorry for this.  I haven't built the kernel on 64 bit machines 
and didn't notice these warnings.  I'll fix them as soon as possible and 
send a patch.  Thanks for reporting.

-- 
Cheers,
Luca.